> ## Documentation Index
> Fetch the complete documentation index at: https://docs.visotrust.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all questionnaires available to your organization.

> Returns the active questionnaires configured for your organization. Use `GET /relationships/{id}/questionnaires` to see which questionnaires are enabled for a particular relationship, and `PUT /relationships/{id}/questionnaires` to enable or disable them per relationship before passing their ids to the Start Assessment endpoint via the `questionnaires` field.



## OpenAPI

````yaml https://app.visotrust.com/v1/api-docs get /api/v1/questionnaires
openapi: 3.1.0
info:
  title: VISO TRUST API Documentation
  description: VISO TRUST
  version: v1.0
servers:
  - url: https://app.visotrust.com
    description: Generated server url
security: []
externalDocs:
  description: VISO TRUST Support Documentation
  url: https://docs.visotrust.com/
paths:
  /api/v1/questionnaires:
    get:
      tags:
        - client-api-questionnaire-rest-resource
      summary: Get all questionnaires available to your organization.
      description: >-
        Returns the active questionnaires configured for your organization. Use
        `GET /relationships/{id}/questionnaires` to see which questionnaires are
        enabled for a particular relationship, and `PUT
        /relationships/{id}/questionnaires` to enable or disable them per
        relationship before passing their ids to the Start Assessment endpoint
        via the `questionnaires` field.
      operationId: getAllQuestionnairesForCurrentClient
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/QuestionnaireView'
components:
  schemas:
    QuestionnaireView:
      type: object
      default: null
      description: A questionnaire available to your organization
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        enabled:
          type: boolean
          default: false
          description: >-
            If true, the questionnaire is enabled at the organization level and
            applied by default to relationships that have not configured their
            own questionnaire list.
        aiOnly:
          type: boolean
          default: false
          description: >-
            If true, the questionnaire is answered by AI by default and is not
            sent to the vendor for manual response when assessing. It can still
            be explicitly selected for manual response by passing its id in the
            `questionnaires` field on the Start Assessment endpoint.
        createdDate:
          type: string
          format: date-time

````